# This file created by conda-build 3.21.9
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_0f03ghqxq9/clone/recipe, last modified Sun Aug  7 03:51:29 2022
# ------------------------------------------------

package:
  name: flask-appbuilder
  version: 4.1.2
source:
  fn: Flask-AppBuilder-4.1.2.tar.gz
  sha256: 89071311bb5c115a09015408928ffd9b903c35491e38bc0515ea221503ea920e
  url: https://pypi.org/packages/source/F/Flask-AppBuilder/Flask-AppBuilder-4.1.2.tar.gz
build:
  entry_points:
    - fabmanager = flask_appbuilder.console:cli
  number: '0'
  script: /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_0f03ghqxq9/croots/recipe/flask-appbuilder_1659862295474/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . -vv
  string: py39hecd8cb5_0
requirements:
  host:
    - ca-certificates 2022.07.19 hecd8cb5_0
    - certifi 2022.6.15 py39hecd8cb5_0
    - libcxx 12.0.0 h2f01273_0
    - libffi 3.3 hb1e8313_2
    - ncurses 6.3 hca72f7f_3
    - openssl 1.1.1q hca72f7f_0
    - pip 22.1.2 py39hecd8cb5_0
    - python 3.9.12 hdfd78df_1
    - readline 8.1.2 hca72f7f_1
    - setuptools 61.2.0 py39hecd8cb5_0
    - sqlite 3.39.2 h707629a_0
    - tk 8.6.12 h5d9f67b_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 hca72f7f_1
    - zlib 1.2.12 h4dc903c_2
  run:
    - apispec >=3.3,<4
    - click >=8,<9
    - colorama >=0.3.9,<1
    - email_validator >=1.0.5,<2
    - flask >=2,<3
    - flask-babel >=1,<3
    - flask-jwt-extended >=4.0.0,<5.0.0
    - flask-login >=0.3,<0.7
    - flask-sqlalchemy >=2.4,<3
    - flask-wtf >=0.14.2,<1.0.0
    - jsonschema >=3,<5
    - marshmallow >=3,<4
    - marshmallow-enum >=1.5.1,<2
    - marshmallow-sqlalchemy >=0.22.0,<0.27.0
    - prison >=0.2.1,<1.0.0
    - pyjwt >=2.0.0,<3.0.0
    - python >=3.9,<3.10.0a0
    - python-dateutil >=2.3,<3
    - sqlalchemy <1.5.0
    - sqlalchemy-utils >=0.32.21,<1
    - wtforms <3.0.0
test:
  commands:
    - fabmanager --help
    - pip check
  imports:
    - flask_appbuilder
    - flask_appbuilder.babel
    - flask_appbuilder.charts
    - flask_appbuilder.models
    - flask_appbuilder.models.generic
    - flask_appbuilder.models.mongoengine
    - flask_appbuilder.models.sqla
    - flask_appbuilder.security
    - flask_appbuilder.security.mongoengine
    - flask_appbuilder.security.sqla
    - flask_appbuilder.tests
    - flask_appbuilder.translations
  requires:
    - pip
about:
  dev_url: https://github.com/dpgaspar/flask-appbuilder/
  doc_url: https://github.com/dpgaspar/flask-appbuilder/
  home: http://flaskappbuilder.pythonanywhere.com/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: Simple and rapid application development framework, built on top of Flask.
    includes detailed security, auto CRUD generation for your models, google charts
    and much more.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 0f7d8b18-d6fc-4a23-b233-fef4637dcced
  recipe-maintainers:
    - halldc
    - xylar
  remote_url: git@github.com:AnacondaRecipes/flask-appbuilder-feedstock.git
  sha: 3b12f32cdd266f433b36d13d6a4c9912f2204f70
